.equ PINA = 0x00 ; définition des adresses des ports
.equ DDRA = 0x01
.equ PORTA = 0x02
.equ PINB = 0x03
.equ DDRB = 0x04
.equ PORTB = 0x05
.equ PINC = 0x06
.equ DDRC = 0x07
.equ PORTC = 0x08

.equ RAMEND = 0x21FF
.equ SPH = 0x3E ; initialisation de la pile
.equ SPL = 0x3D

.org 0x000
    ; Vecteur RESET
    jmp debut

.org 0x0080

debut:
    ldi r16,0x01 ; Configuration de la direction des ports
    out DDRC,r16

boucle:
    ldi r16,0x00
    in r16,PINC ; Lecture du port C
    lsr r16 ; Décalage vers la droite : le bit associé au bouton va sur celui associé à la LED
    ; ldi r16,0x01
    ; out PORTC,r16 ; Écriture du port C
    ; call tempo
    out PORTC,r16 ; Écriture du port C
    ; call tempo
    jmp boucle ; On recommence

tempo:
	; On fait une pause
    ldi r24,8
tempoA:
    subi r22,1
    sbci r23,0
    sbci r24,0
    brcc tempoA
    ret

